import builtins

def makeopen(id):
    original = builtins.open
    def custom(*pargs, **kargs):
        print(f'Niestandardowe wywołanie funkcji open {id}' , pargs, kargs)
        return original(*pargs, **kargs)
    builtins.open = custom
